<?php
namespace Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\Renderer\History\Topics;

/**
 * Interceptor class for @see \Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\Renderer\History\Topics
 */
class Interceptor extends \Mageplaza\Blog\Block\Adminhtml\Post\Edit\Tab\Renderer\History\Topics implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Context $context, \Mageplaza\Blog\Helper\Data $_helperData, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $_helperData, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
